%define	upstream_name	 Net-SSH-Perl
%define	upstream_version 1.42

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl client Interface to SSH
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Convert::PEM) >= 0.50.0
BuildRequires: perl(Crypt::DH) >= 0.10.0
BuildRequires: perl(Crypt::DSA) >= 0.110.0
BuildRequires: perl(Crypt::IDEA)
BuildRequires: perl(Digest::HMAC_MD5)
BuildRequires: perl(Digest::HMAC_SHA1)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA1) >= 2.100.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::GMP) >= 1.40.0
BuildRequires: perl(Math::Pari) >= 2.1.804
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::CRC32) >= 1.200.0
BuildArch:  noarch

%description
Net::SSH::Perl is an all-Perl module implementing an SSH
(Secure Shell) client. It is compatible with both the SSH-1
and SSH-2 protocols.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
# test hang... :\
# %{__make} test

%install
%{makeinstall_std}

%files
%doc Changes LICENSE META.yml MYMETA.yml README SIGNATURE eg
%{perl_vendorlib}/Net
%{_mandir}/man*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.420.0-3.mga6
+ Revision: 1031329
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.420.0-2.mga6
+ Revision: 970021
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.420.0-1.mga6
+ Revision: 884763
- update to 1.42

* Fri Jun 26 2015 sander85 <sander85> 1.380.0-1.mga6
+ Revision: 844463
- update to 1.38

* Wed Oct 15 2014 umeabot <umeabot> 1.370.0-3.mga5
+ Revision: 741208
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.370.0-2.mga5
+ Revision: 685726
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 1.370.0-1.mga5
+ Revision: 614935
- update to 1.37

* Sat Oct 19 2013 umeabot <umeabot> 1.360.0-2.mga4
+ Revision: 531912
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 1.360.0-1.mga4
+ Revision: 465695
- update to 1.36

* Sun Jan 13 2013 umeabot <umeabot> 1.350.0-2.mga3
+ Revision: 370870
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.350.0-1.mga3
+ Revision: 342440
- update to 1.35

* Wed Jan 26 2011 jquelin <jquelin> 1.340.0-1.mga1
+ Revision: 41118
- mageia rebuild
- imported package perl-Net-SSH-Perl


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.340.0-1mdv2010.0
+ Revision: 407848
- rebuild using %%perl_convert_version

* Tue Feb 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.34-1mdv2009.1
+ Revision: 336949
- update to new version 1.34

* Wed Oct 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.33-1mdv2009.1
+ Revision: 296404
- update to new version 1.33

* Mon Oct 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.32-1mdv2009.1
+ Revision: 295507
- update to new version 1.32

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.31-1mdv2009.1
+ Revision: 292267
- update to new version 1.31

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.30-5mdv2009.0
+ Revision: 241800
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 1.30-3mdv2008.0
+ Revision: 25198
- rebuild


* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.30-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Wed Apr 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.30-1mdk
- New release 1.30

* Mon Oct 10 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.29-1mdk
- new version
- %%mkrel
- spec cleanup
- better url
- fix sources url
- fix directory ownership
- make test in %%check

* Thu May 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.28-1mdk
- 1.28

* Fri Feb 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.27-1mdk
- 1.27

* Sat Feb 05 2005 Sylvie Terjan <erinmargault@mandrake.org> 1.26-1mdk
- 1.26
- rebuild for new perl

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.25-1mdk
- 1.25
- drop prefix tag
- cosmetics

* Mon Dec 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.24-1mdk
- 1.24

* Sun Nov 09 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.23-1mdk
- First MandrakeSoft Package

